<!DOCTYPE html>
<html>
	<head>
		<title>MathJax Dynamic Math Test Page</title>
		<!-- Copyright (c) 2010-2016 The MathJax Consortium -->
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<script type="text/javascript" src="jquery-1.10.2.js"></script>
		<script type="text/javascript" src="calculationlib/matrixlib.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
		<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
		<script type="text/x-mathjax-config">
			MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});
			MathJax.Localization.setLocale("tr");
		</script>
		<script>
			var WriteFormula = function(divId, TeX)
				{
					//var HIDEBOX = function () { box.style.visibility = "hidden" }
					//var SHOWBOX = function () { box.style.visibility = "visible" }
					var selector = "#" + divId;
					var selObj = $(selector)
					var queue = MathJax.Hub.queue;
					var math = MathJax.Hub.getAllJax(divId)[0];
					queue.Push
						(
							function () { selObj.css('visibility','hidden') },
							["resetEquationNumbers",MathJax.InputJax.TeX],
							["Text",math,"\\displaystyle{"+TeX+"}"],
							function () { selObj.css('visibility','visible') }
						);
				}
			var AddFormula = function(container, name, tex) {
	      var containerSelector = $('#' + container);
	      if ($('#' + name).length == 0)
	        containerSelector.append("<div id='" + name + "' style='text-align:center; visibility: visible; padding:10;'>");
	      else $('#' + name).html("");

	      $('#' + name).append($('<script type="math/tex">').text("\\displaystyle{"+tex+"}"));
	      MathJax.Hub.Queue(
	        //function () { $('#' + name).css('visibility','hidden')
	        ["Typeset",MathJax.Hub]
	        //,function () { $('#' + name).css('visibility','visible') }
	      );
	    }
		</script>
	</head>

	<body>

		<p>
			<h3>Toplama, Çıkarma, Eleman Çarpma, Karşılaştırma İşlemleri</h3>
			GF: <input type="text" id="txtGroup1Degree" value="2"/> <br />
			Matris 1: <input type="text" id="txtGroup1Matrix1" value="[[1,0,1,0,1],[0,1,1,0,0]]"/><br/>
			Matris 2: <input type="text" id="txtGroup1Matrix2" value="[[1,1,1,0,0],[0,1,0,1,1]]"/><br/>
			<input type="button" id="btnAdd" value="Topla" />
			<input type="button" id="btnSubtract" value="Çıkar" />
			<input type="button" id="btnMultiplyP" value="Çarp 2" />
			<input type="button" id="btnDivideP" value="Böl 2" />
			<!--<br /> -->
			<input type="button" id="btnEQ" value="Eşit" />
			<input type="button" id="btnNEQ" value="Eşit Değil" />
			<input type="button" id="btnLT" value="Küçük" />
			<input type="button" id="btnLTE" value="Küçük Eşit" />
			<input type="button" id="btnGT" value="Büyük" />
			<input type="button" id="btnGTE" value="Büyük Eşit" />
			<div id="MathOutput1">$${}$$</div>

			<hr>

			<h3> Çarpma </h3>
			GF: <input type="text" id="txtGroup2Degree" value="2"/> <br />
			Matris 1: <input type="text" id="txtGroup2Matrix1" value="[[1,1],[1,0],[0,0],[1,0],[1,1]]"/><br/>
			Matris 2: <input type="text" id="txtGroup2Matrix2" value="[[1,0,1,0,1],[0,1,1,0,0]]"/><br/>
			<input type="button" id="btnMultiply" value="Çarp" />
			<div id="MathOutput2">$${}$$</div>

			<hr>

			<h3> Transpoze </h3>
			GF: <input type="text" id="txtGroup3Degree" value="2"/> <br />
			Matris: <input type="text" id="txtGroup3Matrix1" value="[[1,0,1,0,1],[0,1,1,0,0]]"/><br/>
			<input type="button" id="btnTranspose" value="Transpoze" />
			<!--<br />-->
			<input type="button" id="btnSum" value="Toplam" />
			<input type="button" id="btnSumCols" value="Sütunları Topla" />
			<input type="button" id="btnSumRows" value="Satırları Topla" />
			<div id="MathOutput3">$${}$$</div>

			<hr>

			<h3> Eig, SVD, Chol, LU, QR </h3>

			Matris: <input type="text" id="txtGroup4Matrix1" value="[[5,4,1,9,7],[4,5,2,1,9],[9,7,1,4,6],[7,4,5,1,7],[2,7,7,1,6]]"/><br/>
			<input type="button" id="btnDeterminant" value="Determinant" />
			<input type="button" id="btnInverse" value="Ters*" />
			<input type="button" id="btnLUDecomposition" value="LU Decomposition" />
			<input type="button" id="btnQRDecomposition" value="QR Decomposition" />
			<input type="button" id="btnSingularValueDecomposition" value="Singular Value Decomposition" />
			<input type="button" id="btnCholeskyDecomposition" value="Cholesky Decomposition" />
			<input type="button" id="btnEigenvalueDecomposition" value="Eigenvalue Decomposition" />
			<div id="MathOutput4">$${}$$</div>

			<hr>

			<h3> Denklem çöz </h3>
			GF: <input type="text" id="txtGroup5Degree" value="17"/><br/>
			Matris: <input type="text" id="txtGroup5Matrix1" value="[[13,15,12,0,6,1],[11,16,1,0,1,12],[13,10,12,15,12,9],[4,12,10,14,0,14],[6,8,8,7,0,4],[10,0,4,11,12,15]]"/><br/>
			Matris: <input type="text" id="txtGroup5Matrix2" value="[[0],[15],[2],[0],[4],[1]]"/><br/>
			<input type="button" id="btnSolve" value="Denklem Çöz" />
			<div id="MathOutput5">$${}$$</div>
			<div id="MathOutputDetailed"></div>

			<hr>

			<h3>Matris üreteçleri grup 1</h3>
			GF: <input type="text" id="txtGroup6Degree" value="17"/><br/>
			Row Count: <input type="text" id="txtGroup6RowCount" value="6"/><br/>
			Col Count: <input type="text" id="txtGroup6ColCount" value="6"/><br/>
			<input type="button" id="btnGroup6GenTest1" value="Pattern 1" />
			<input type="button" id="btnGroup6GenTest2" value="Pattern Vandermonde" />
			<input type="button" id="btnGroup6GenTest3" value="Random" />
			<div id="MathOutput6">$${}$$</div>

			<hr>

			<h3>Matris üreteçleri grup 2</h3>
			GF: <input type="text" id="txtGroup7Degree" value="17"/><br/>
			Col Count: <input type="text" id="txtGroup7ColCount" value="6"/><br/>
			Vector: <input type="text" id="txtGroup7Vector" value="[5,9,8,3,1,2]"/><br/>
			<input type="button" id="btnGroup7GenTest4" value="Vandermonde Matrix" />
			<div id="MathOutput7">$${}$$</div>

			<hr>

			<input type="button" id="btnDivide" value="Böl*" />
			<br />
			<input type="button" id="btnRank" value="Rank*" />

		</p>


		<div class="box" id="box" style="visibility:hidden;">
		</div>

		<script type="text/javascript">
			$(document).ready(function () {
				$("input[type='button']").click(function (e) {

					if (e.target.id == "btnAdd") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.Add(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "+" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnSubtract") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.Subtract(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "-" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnMultiplyP") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.MultiplyP(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "*" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnDivideP") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.DivideP(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "/" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnEQ") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.EQ(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "=" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnNEQ") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.NEQ(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "!=" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnLT") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.LT(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "<" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnLTE") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.LTE(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + "<=" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnGT") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.GT(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + ">" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}
					else if (e.target.id == "btnGTE") {
						var degree = eval($('#txtGroup1Degree').val());
						var val1 = eval($('#txtGroup1Matrix1').val());
						var val2 = eval($('#txtGroup1Matrix2').val());
						var mat1 = Array.isArray(val1) ? new Matrix(val1) : val1;
						var mat2 = Array.isArray(val2) ? new Matrix(val2) : val2;
						var processor = new MatrixCalculator(degree);
						var m1 = processor.GTE(mat1, mat2).ToLatex();
						var mat1Text = Array.isArray(val1) ? mat1.ToLatex() : mat1;
						var mat2Text = Array.isArray(val2) ? mat2.ToLatex() : mat2;
						var formula = mat1Text + ">=" + mat2Text + "=" + m1;
						WriteFormula("MathOutput1", formula);
					}

					else if (e.target.id == "btnMultiply") {
						var degree = eval($('#txtGroup2Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup2Matrix1').val()));
						var mat2 = new Matrix(eval($('#txtGroup2Matrix2').val()));
						var processor = new MatrixCalculator(degree);
						var m1 = processor.Multiply(mat1, mat2).ToLatex();
						var formula = mat1.ToLatex() + "." + mat2.ToLatex() + "=" + m1;
						WriteFormula("MathOutput2", formula);
					}

					else if (e.target.id == "btnTranspose") {
						var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup3Matrix1').val()));
						var m1 = mat1.Transpose().ToLatex();
						var formula = mat1.ToLatex() + "'=" + m1;
						WriteFormula("MathOutput3", formula);
					}
					else if (e.target.id == "btnSum") {
						var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup3Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var m1 = processor.Sum(mat1);
						var formula = "Toplam=" + m1;
						WriteFormula("MathOutput3", formula);
					}
					else if (e.target.id == "btnSumCols") {
						var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup3Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var m1 = processor.SumCols(mat1).ToLatex();
						var formula = "Sum Rows(" + mat1.ToLatex() + ")" + "=" + m1;
						WriteFormula("MathOutput3", formula);
					}
					else if (e.target.id == "btnSumRows") {
						var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup3Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var m1 = processor.SumRows(mat1).ToLatex();
						var formula = "Sum Rows(" + mat1.ToLatex() + ")" + "=" + m1;
						WriteFormula("MathOutput3", formula);
					}

					else if (e.target.id == "btnDeterminant") {
						//var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator();
						var m1 = processor.Determinant(mat1);
						var formula = "DET(" + mat1.ToLatex() + ")=" + m1;
						WriteFormula("MathOutput4", formula);
					}
					else if (e.target.id == "btnInverse") {
						//var degree = eval($('#txtGroup3Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator();
						var m1 = processor.Inverse(mat1);
						var formula = "INV(" + mat1.ToLatex() + ")=" + m1.ToLatex();
						WriteFormula("MathOutput4", formula);
					}
					else if (e.target.id == "btnLUDecomposition") {
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var lu = processor.LU(mat1);
						var m = mat1.ToLatex();
						var l = lu.L.ToLatex();
						var u = lu.U.ToLatex();
						var r = processor.Multiply(lu.L, lu.U).ToLatex();
						var formula = m + "=" + l + "." + u + "=" + r;
						formula += "\\\\";
						formula += "pivot="+lu.Pivot.ToLatex();
						WriteFormula("MathOutput4", formula);
						//WriteFormula("MathOutput", lu.Pivot.ToLatex());
					}
					else if (e.target.id == "btnQRDecomposition") {
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var qr = processor.QR(mat1);
						var m = mat1.ToLatex();
						var q = qr.Q.ToLatex();
						var r = qr.R.ToLatex();
						var res = processor.Multiply(qr.Q, qr.R).ToLatex();
						var formula = m + "=" + q + "." + r + "=" + res;
						//formula += "\\\\";
						//formula += "pivot="+lu.Pivot.ToLatex();
						WriteFormula("MathOutput4", formula);
					}
					else if (e.target.id == "btnCholeskyDecomposition") {
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var c = processor.Chol(mat1);
						var m = mat1.ToLatex();
						var l = c.L.ToLatex();
						var ll = c.L.Transpose().ToLatex();
						var res = processor.Multiply(c.L, c.L.Transpose()).ToLatex();
						var formula = m + "=" + l + "." + ll + "=" + res;
						//formula += "\\\\";
						//formula += "pivot="+lu.Pivot.ToLatex();
						WriteFormula("MathOutput4", formula);
					}
					else if (e.target.id == "btnEigenvalueDecomposition") {
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var c = processor.Eig(mat1);
						var m = mat1.ToLatex();
						var d = c.D.ToLatex();
						var v = c.V.ToLatex();
						var formula = d + "\\\\";
						formula += v + "\\\\";
						formula += c.RealEigenvalues.ToLatex() + "\\\\";
						formula += c.ImagEigenvalues.ToLatex();
						//var formula = m + "=" + l + "." + ll + "=" + res;
						//formula += "\\\\";
						//formula += "pivot="+lu.Pivot.ToLatex();
						WriteFormula("MathOutput4", formula);
					}
					else if (e.target.id == "btnSingularValueDecomposition") {
						var mat1 = new Matrix(eval($('#txtGroup4Matrix1').val()));
						var processor = new MatrixCalculator(degree);
						var c = processor.SVD(mat1);
						var m = mat1.ToLatex();
						var u = c.U.ToLatex();
						var s = c.S.ToLatex();
						var v = c.V.ToLatex();
						var r = processor.Multiply(processor.Multiply(c.U, c.S), c.V.Transpose()).ToLatex();
						var formula = m + "=" + u + "." + s + "." + v + "=" + r;
						WriteFormula("MathOutput4", formula);
					}

					else if (e.target.id == "btnSolve") {
						var evaluate = function(value, degree) {
							if (degree != null && !isNaN(degree)) {
								value = value % degree;
								if (value == 0)
									return 0;
								if (value < 0)
									value = degree + value;
							}
							return value;
						}
						var inverse = function(value, degree) {
							value = evaluate(value, degree);
							for (var i = 1; i < degree; i++) {
								if (evaluate(value * i, degree) == 1)
									return i;
							}
							return NaN;
						}
						var divide = function(x, y, degree) {
							if (degree != null && !isNaN(degree)) {
								var op = inverse(y, degree);
								return evaluate(x * op, degree);
							}
							else
							 	return x / y;
						}

						var q = eval($('#txtGroup5Degree').val());
						var mat1 = new Matrix(eval($('#txtGroup5Matrix1').val()));
						var mat2 = new Matrix(eval($('#txtGroup5Matrix2').val()));
						var processor = new MatrixCalculator(q);
						var el = processor.Eliminate(mat1, mat2);
						var m1 = processor.Solve(mat1, mat2);
						var det = processor.Determinant(mat1);
						var formula = mat1.ToLatex() +  "X=" + mat2.ToLatex() + "\\\\";
						formula += el.ToLatex();
						formula += "=> X = " + m1.ToLatex();
						formula += "\\\\\\\\Determinant:" + det;
						// var mat = mat1;
						// var result = mat2;
						// var matrix = mat.Clone().AddRight(result);
						// AddFormula("MathOutputDetailed", "MatStart", matrix.ToLatex() + "\\\\\\\\ \\quad \\quad");
						// for (var i = 0; i < matrix.RowCount; i++) {
						//
						// 	if (matrix.Get(i, i) == 0) {
						// 		for (var j = i + 1; j < matrix.RowCount; j++)
						// 			if (matrix.Get(j, i) != 0) {
						// 				matrix = matrix.SwapRows(i, j);
						// 				break;
						// 			}
						// 	}
						//
						// 	for (var j = i + 1; j < matrix.RowCount; j++) {
						// 		if (matrix.Get(j, i) == 0)
						// 			continue;
						//
						// 		var m = divide(matrix.Get(i, i), matrix.Get(j, i), q);
						// 		for (var k = 0; k < matrix.ColCount; k++)
						// 			matrix.Set(j, k, evaluate(m * matrix.Get(j, k) - matrix.Get(i, k), q));
						// 	}
						// 	AddFormula("MathOutputDetailed", "MatDetail" + i, matrix.ToLatex() + "\\\\\\\\ \\quad \\quad");
						// }
						// var result = [];
						// for (var i = matrix.RowCount - 1; i >= 0; i--){
						// 	var coef = matrix.Get(i, i);
						// 	var data = matrix.Get(i, matrix.ColCount - 1);
						// 	var others = 0;
						// 	for (var j = i + 1, k = 0; j < matrix.ColCount - 1; j++, k++)
						// 		others += matrix.Get(i, j) * result[result.length - k - 1];
						// 	result.push(divide(data - others, coef, q));
						// }
						// result = result.reverse();
						// AddFormula("MathOutputDetailed", "MatResult", new Matrix(result).ToLatex());
						WriteFormula("MathOutput5", formula);
					}

					else if (e.target.id == "btnDivide") {
						var m1 = processor.Divide(mat1, mat2).ToLatex();
						var formula = mat1.ToLatex() + "/" + mat2.ToLatex() + "=" + m1;
						WriteFormula("MathOutput", formula);
					}
					else if (e.target.id == "btnGroup6GenTest1") {
						var q = eval($('#txtGroup6Degree').val());
						var rowCount = eval($('#txtGroup6RowCount').val());
						var colCount = eval($('#txtGroup6ColCount').val());
						var gen = new MatrixGenerator(degree);
						var m1 = gen.Pattern(rowCount, colCount, function(i,j) { return "a_{"+ (i+1) + "," + (j+1) + "}"; });
						var formula =  m1.ToLatex();
						WriteFormula("MathOutput6", formula);
					}
					else if (e.target.id == "btnGroup6GenTest2") {
						var q = eval($('#txtGroup6Degree').val());
						var rowCount = eval($('#txtGroup6RowCount').val());
						var colCount = eval($('#txtGroup6ColCount').val());
						var gen = new MatrixGenerator(degree);
						var m1 = gen.Pattern(rowCount, colCount, function(i,j) { return j == 0 ? 1 : "x_{"+ (i+1) + "} ^ {" + j + "}"; });
						var formula =  m1.ToLatex();
						WriteFormula("MathOutput6", formula);
					}
					else if (e.target.id == "btnGroup6GenTest3") {
						var q = eval($('#txtGroup6Degree').val());
						var rowCount = eval($('#txtGroup6RowCount').val());
						var colCount = eval($('#txtGroup6ColCount').val());
						var gen = new MatrixGenerator(degree);
						var m1 = gen.RandomInt(rowCount, colCount, 0, q);
						var formula =  m1.ToLatex();
						WriteFormula("MathOutput6", formula);
					}

					else if (e.target.id == "btnGroup7GenTest4") {
						var degree = eval($('#txtGroup7Degree').val());
						var colCount = eval($('#txtGroup7ColCount').val());
						var vector = eval($('#txtGroup7Vector').val());
						var gen = new MatrixGenerator(degree);
						var m1 = gen.Vandermonde(colCount, vector);
						var formula =  m1.ToLatex();
						WriteFormula("MathOutput7", formula);
					}

				});
			});
		</script>

	</body>
</html>
